Subject: Re: [PATCH 0/4] upload-pack: custom allowed object filters

From: Taylor Blau <[email-masked]>
Date: Mon, 20 Jul 2020 16:09:34 -0400

On Wed, Jul 08, 2020 at 04:41:36AM -0400, Jeff King wrote:
> On Thu, Jul 02, 2020 at 04:06:14PM -0400, Taylor Blau wrote:
>
> >   [uploadpack]
> >   	allowAnySHA1InWant = true
> >   	allowFilter = true
> >   [uploadpack "filter"]
> >   	allow = false
> >   [uploadpack "filter.blob:limit"]
> >   	allow = true
> >   [uploadpack "filter.blob:none"]
> >   	allow = true
> >   [uploadpack "filter.tree"]
> >   	allow = true
> >   	maxDepth = 0
>
> I thought the previous discussion landed on:
>
>   uploadpackfilter.blob:none.allow
>
> etc, to avoid the confusing appearance of four-level keys (and the weird
> case sensitivity implications that would cause).

Yup, I agree. I added a little bit more detail to this response in
another email that I posted shortly above in this thread.

Rest assured that I haven't forgotten about this series, I've just been
busy and not feeling too pressured to get back to it since we're well
into the release-candidate phase, and shouldn't be worrying about this
until after 2.28.0.

If you're interested, I have what I will eventually call 'v2' of this
series at:

  https://github.com/ttaylorr/git/tree/tb/upload-pack-filter-config

> -Peff

Thanks,
Taylor